// SLIDER
.home {

    .frame {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;
        color: var(--color-title);
        padding: 2rem;
        display: grid;
        grid-template-columns: auto 1fr;
        grid-template-rows: auto auto auto auto 1fr;
        grid-template-areas: 'title title''prev back''demos demos''sponsor sponsor''nav nav';
        justify-content: start;
        align-content: start;
        align-items: start;
        z-index: 100;
        pointer-events: none;
        grid-gap: 1rem;
    }

    body #cdawrap {
        align-self: start;
        justify-self: start;
    }

    .frame a,
    .frame button {
        pointer-events: auto;
    }

    .frame__title {
        grid-area: title;
        display: flex;
        align-items: flex-end;
        font-weight: 400;
    }

    .frame strong {
        font-weight: 700;
    }

    .frame__title-main {
        font-size: inherit;
        margin: 0;
        font-weight: inherit;
    }

    .frame__back {
        grid-area: back;
    }

    .frame__prev {
        grid-area: prev;
    }

    .frame__demos {
        grid-area: demos;
        display: grid;
        grid-template-columns: repeat(8, auto);
        column-gap: 1rem;
        row-gap: 0.5rem;
    }

    .frame__demos span {
        grid-column: 1 / span 8;
    }

    a.frame__demo {
        font-weight: 400;
        font-size: 1rem;
        text-decoration: none;
        opacity: 0.5;
        font-family: "anonymous-pro", monospace;
    }

    a.frame__demo--current {
        font-weight: 700;
        opacity: 1;
        color: var(--color-link-hover);
    }

    .slides {
        width: 100%;
        height: 100vh;
        overflow: hidden;
        display: grid;
        grid-template-rows: 100%;
        grid-template-columns: 100%;
        place-items: center;
    }

    .slide {
        width: 100%;
        height: 100%;
        grid-area: 1 / 1 / -1 / -1;
        pointer-events: none;
        opacity: 0;
        overflow: hidden;
        position: relative;
        display: grid;
        place-items: center;
        will-change: transform, opacity;
    }

    .slide--current {
        pointer-events: auto;
        opacity: 1;
    }

    .deco {
        width: 100%;
        height: 100%;
        grid-area: 1 / 1 / -1 / -1;
        pointer-events: none;
        position: relative;
        opacity: 0;
        background: #8c718e;
        will-change: transform, opacity;
    }

    .deco--1 {
        background: #d4503e;
    }

    .deco--2 {
        background: #1c1a1a;
    }

    .deco--3 {
        background: #4e4141;
    }

    .deco--4 {
        background: #000;
    }

    .deco--5 {
        background: #060b17;
    }

    .deco--6 {
        background: #34365c;
    }

    .deco--7 {
        background: #9f6794;
    }

    .slide__img {
        width: 100%;
        height: 100%;
        background-size: cover;
        background-position: 50% 50%;
        background-repeat: no-repeat;
        will-change: transform, opacity, filter;
    }

    .demo-2 .slide__img {
        width: 120%;
        height: 120%;
    }

    .slides-nav {
        grid-area: nav;
        display: flex;
        gap: 0.5rem;
        align-self: end;
        align-items: center;
    }

    .slides-nav::before {
        content: 'scroll / drag';
        margin-right: 2rem;
    }

    .slides-nav__item {
        border: 0;
        background: #fff;
        color: #000;
        width: 60px;
        aspect-ratio: 1;
        display: grid;
        place-items: center;
        border-radius: 50%;
        cursor: pointer;
        transition: background-color 0.3s;
    }

    .slides-nav__item:hover {
        background-color: #ccc;
    }


    @media screen and (min-width: 53em) {
        .frame {
            height: 100vh;
            grid-gap: 2rem;
            align-content: space-between;
            grid-template-columns: auto auto auto 1fr;
            grid-template-rows: auto auto;
            grid-template-areas: 'title back prev demos''sponsor ... ... nav ';
        }

        .frame__demos {
            justify-self: end;
            justify-content: end;
        }

        .frame__demos span,
        a.frame__demo {
            text-align: right;
        }

        .slides-nav {
            justify-self: end;
        }

        body #cdawrap {
            align-self: center;
            justify-self: start;
        }
    }

}

body.page-template-home {
    .what-we-do-work {
        margin-bottom: 0rem;
    }
}

.home {
    @include rel-block;

    // BOXES
    &-boxes {
        @include rel-block;
        background: $blc;


        &-card {
            background: $blc;
            @include rel-block;

            @media (max-width: 1280px) {
                padding: 0 5%
            }

            &:nth-child(even) {
                background: #54595B
            }
        }

        #card-2,
        #card-4,
        #card-6,
        #card-8 {
            background: #54595B
        }

        &-card-row {
            display: flex;
            column-gap: 5rem;
            padding: 4rem 0;

            @include mobile {
                flex-direction: column;
            }

            & .text {
                flex: 1;

                @include mobile {
                    order: 2
                }

                p,
                h4 {
                    max-width: 72rem;
                }

                p {
                    color: #f7efe6;
                    margin-top: 4rem;

                    @include mobileMax {
                        margin-top: 3rem;
                    }
                }

                h4 {
                    font-weight: bold;
                    font-size: 3.6rem;
                    line-height: 135%;
                    text-align: left;
                    color: #f7efe6;

                    @include mobileMax {
                        font-size: 3rem;
                    }

                }
            }

            & .image {
                flex: 0 0 33.5rem;

                @include mobile {
                    order: 1;
                    margin-bottom: 3rem;

                    img {
                        display: block;
                        width: 100%;
                        max-width: auto;
                    }
                }

                img {
                    border-radius: .6rem;
                }
            }
        }
    }


    // ABOUT
    &-about {
        @include rel-block;
        background: $black;
        padding: 0rem 0 10rem 0;

        @media (min-width: 1660px) {
            padding-bottom: 15rem;
        }

        @include mobile {
            padding-bottom: 5rem;
        }

        &-lead {
            @include rel-block;
            padding-bottom: 8rem;

            @include mobileMax {
                padding-bottom: 5rem;
            }

            p {
                font-weight: 600;
                font-size: 1.6rem;
                letter-spacing: 0.3em;
                line-height: 135%;
                text-align: left;
                color: $white;
                display: block;
                margin-bottom: 2rem;
                text-transform: uppercase;
            }

            h5 {
                font-weight: bold;
                font-size: 6rem;
                line-height: 120%;
                text-align: left;
                color: $white;

                @media (max-width: 1499px) {
                    font-size: 5rem;
                }

                @include mobileMax {
                    font-size: 3rem;
                    line-height: 135%;
                }

                @include mobile {
                    font-size: 2.2rem;
                    line-height: 135%;
                }

                @include tabletBig {
                    font-size: 3rem;
                    line-height: 135%;
                }
            }
        }

        &-image {
            @include rel-block;
            padding-right: 4rem;

            @media only screen and (min-width: 1366px) {
                margin-left: calc(calc(100% - 1240px) / 2);
                padding-right: 4rem;
            }

            @include mobileMax {
                padding: 0 5%;
            }

            img {
                border-radius: .6rem;
            }

            &:after {
                @include abs-block;
                z-index: 2;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                content: '';
                background: linear-gradient(rgba(0, 0, 0, 0) 0%, #000 100%);
                opacity: 0.6;
            }

            &-apla {
                @include abs-block;
                bottom: 10rem;
                left: 10rem;
                z-index: 3;

                @include mobileMax {
                    @include rel-block;
                    left: 0;
                    bottom: 0;
                    padding-top: 5rem;

                    .container {
                        padding: 0;
                    }
                }

                p {
                    color: $white;
                    max-width: 60rem;
                    font-weight: 600;
                    font-size: 2rem;
                    line-height: 135%;
                    text-align: left;
                    color: $white;
                    margin-bottom: 6rem;

                    @include mobileMax {
                        font-size: 1.6rem;
                        font-weight: 400;
                        margin-bottom: 3rem;
                        line-height: 160%;
                    }
                }
            }
        }
    }


    // NEWS
    .news-single-other {
        @include rel-block;
        background: $blc;

        padding-top: 10rem;
        padding-bottom: 10rem;

        @media (min-width: 1660px) {
            padding-top: 10rem;
            padding-bottom: 15rem;
        }

        @include mobileMax {
            padding-bottom: 5rem;
        }

        .title,
        h2,
        .more {
            color: $white;
        }
    }


    // CONTACT
    &-contact {
        @include rel-block;
        background: $blc;
        overflow: hidden;

        .cursor__media {

            opacity: 0;
            transition: opacity 0.9s;
            visibility: hidden;
            height: 0;

        }

        &-image {
            @include mobileMax {
                display: none;

                &:first-child {
                    @include abs-block;
                    top: 0;
                    left: 0;
                    height: 100%;
                    width: 100%;

                    &:before {
                        @include abs-block;
                        top: 0;
                        left: 0;
                        width: 100%;
                        height: 100%;
                        background: rgba(0, 0, 0, .4);
                        content: '';
                        z-index: 2;
                    }

                    img {
                        width: 100%;
                        height: 100%;
                        position: absolute;
                        top: 0;
                        left: 0;
                        right: 0;
                        bottom: 0;
                        object-fit: cover;
                        object-position: -200px 0px;
                        z-index: 1;
                    }
                }

            }

            @media (min-width: 1920px) {
                img {
                    width: 100%;
                }
            }
        }

        .cursor__media.active {
            opacity: 1;
            visibility: visible;
            height: 100%;


        }

        #image-1,
        #image-2 {
            @include link;

            position: relative;
            z-index: 1;

            &:after {
                @include abs-block;
                z-index: 1;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                content: '';
                background: rgba(23, 23, 23, 0.3);
            }
        }


        ul {
            display: flex;
            position: absolute;
            z-index: 2;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;

            @include mobileMax {
                display: block;
                position: relative;
                padding-top: 7rem;
            }

            li {
                flex: 0 0 50%;
                display: flex;
                justify-content: center;
                align-items: center;

                @include mobileMax {
                    padding-bottom: 7rem;
                }

                & .cnt {
                    display: inline-block;
                    text-align: center;

                    .subtitle {
                        p {
                            font-weight: 600;
                            font-size: 1.6rem;
                            letter-spacing: 0.3em;
                            line-height: 135%;
                            text-align: center;
                            color: $white;
                            margin-bottom: 2rem;
                        }
                    }

                    h6 {
                        font-weight: bold;
                        font-size: 4rem;
                        line-height: 125%;
                        text-align: center;
                        color: $white;
                        margin-bottom: 3rem;

                        @include mobileMax {
                            font-size: 2.2rem;
                            line-height: 135%;
                            padding: 0 2rem;
                        }

                        @include tabletBig {
                            font-size: 2.2rem;
                            line-height: 135%;
                        }

                        @media (min-width: 1200px) and (max-width: 1400px) {
                            font-size: 3.6rem;
                        }
                    }

                    &:hover {
                        .btn-white {
                            border: .1rem solid $orange;
                            background: $orange;
                            color: $white;
                        }
                    }
                }
            }
        }
    }
}

body.page-template-home {
    .home .news-single-other {
        padding-top: 5rem;

    }
}